Skip to Content

List a template's registrations

Returns every provider registration of the template, newest first, with its review status and the publication it last submitted.

GET
/v1/templates/{id}/registrations

Returns every provider registration of the template, newest first, with its review status and the publication it last submitted.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^tmpl_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

TemplateRegistrationList

application/json
  1. response
data*array<>
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.templateRegistrations.list({
  "id": "example"
});
Example Response
{
  "data": [
    {
      "id": "string",
      "templateId": "string",
      "publicationId": "string",
      "target": {
        "provider": "whatsapp",
        "wabaId": "string"
      },
      "name": "string",
      "language": "string",
      "status": "draft",
      "category": "marketing",
      "providerCategory": "marketing",
      "providerTemplateId": "string",
      "reason": "string",
      "submittedAt": "string",
      "statusChangedAt": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}

Related documentation